!! Berechnet den Momentenverlauf M(x) eines einseitig fest eingespannten
!! Traegers  - Auflagerkraft in A mit MuPad ermittelt
!! Hausuebung Aufgabe 2
!! (c) 5/97 sdteffen

  program Wx_Berechnung
   implicit none

!! Deklaration Variable und Initialisierung Eingabevariablen 

   real :: rL = 0, rQ = 0, rMx, rMA, rx, rA
   integer :: i

!! Eingabe

   write(*,'(A)', advance='no')' Eingabe der Laenge L      : '
   read(*,*)rL
   write(*,'(A)',advance='no')'Eingabe der Streckenlast q : ' 
   read(*, *)rQ

!! Berechnung Stuetzmoment im Auflager A

   rMA = -(rQ * (rL ** 2) / 8)

!! Berechnung der Auflagerkraft in A

   rA = 5* rL * rQ / 8
   
!! Ausgabe

   write(*,*)rA
   do i = 0, 10
     rx = rL * i / 10
     rMx = -rQ/2 * rx**2 + rA * rx + rMA
     write(*,"('M(x= ', f5.2,') = ',f13.4)")rx, rMx
   end do

   stop "realm of the black magic completed."
  end program Wx_Berechnung
